Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant
Class WebApplicationProxyImpl

    java.lang.Object
      org.mortbay.jetty.ant.WebApplicationProxyImpl

All Implemented Interfaces:
  WebApplicationProxy

    public class WebApplicationProxyImpl

extends Object
implements WebApplicationProxy

An abstraction layer over Jetty WebAppContext.

Author:
  Jakub Pawlowicz

Constructor Summary
`WebApplicationProxyImpl(String name)` Default constructor.

Method Summary
`void` | `createApplicationContext(ContextHandlerCollection contexts)` Creates a new Jetty web application context from this object.
`List` | `getClassPathFiles()`
`List` | `getContextHandlers()`
`String` | `getContextPath()`
`List` | `getExtraScanTargets()`
`List` | `getLibraries()`
`String` | `getName()`
`Object` | `getProxiedObject()`
`File` | `getSourceDirectory()`
`File` | `getWebXmlFile()`
`boolean` | `isFileScanned(String pathToFile)` Checks if a given file is scanned according to the internal configuration.
`static void` | `setBaseTempDirectory(File tempDirectory)`
`void` | `setClassPathFiles(List classPathFiles)`
`void` | `setContextHandlers(List contextHandlers)`
`void` | `setContextPath(String contextPath)`
`void` | `setExtraScanTargetsConfiguration(FileMatchingConfiguration extraScanTargetsConfiguration)`
`void` | `setJettyEnvXml(File jettyEnvXml)`
`void` | `setLibrariesConfiguration(FileMatchingConfiguration classesConfiguration)`
`void` | `setSourceDirectory(File warFile)`
`void` | `setWebXml(File webXmlFile)`
`void` | `start()` Starts this web application context.
`void` | `stop()` Stops this web application context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebApplicationProxyImpl

    public WebApplicationProxyImpl(String name)

  Default constructor. Takes application name as an argument.

  Parameters:
    `name` - web application name.

Method Detail

### setBaseTempDirectory

    public static void setBaseTempDirectory(File tempDirectory)

### getClassPathFiles

    public List getClassPathFiles()

### getContextPath

    public String getContextPath()

### getName

    public String getName()

### getSourceDirectory

    public File getSourceDirectory()

### getWebXmlFile

    public File getWebXmlFile()

### setSourceDirectory

    public void setSourceDirectory(File warFile)

### setContextPath

    public void setContextPath(String contextPath)

### setWebXml

    public void setWebXml(File webXmlFile)

### setJettyEnvXml

    public void setJettyEnvXml(File jettyEnvXml)

### setClassPathFiles

    public void setClassPathFiles(List classPathFiles)

### isFileScanned

    public boolean isFileScanned(String pathToFile)

  Checks if a given file is scanned according to the internal configuration. This may be difficult due to use of 'includes' and 'excludes' statements.

  Parameters:
    `pathToFile` - a fully qualified path to file.
  Returns:
    true if file is being scanned, false otherwise.

### setLibrariesConfiguration

    public void setLibrariesConfiguration(FileMatchingConfiguration classesConfiguration)

### getLibraries

    public List getLibraries()

### setExtraScanTargetsConfiguration

    public void setExtraScanTargetsConfiguration(FileMatchingConfiguration extraScanTargetsConfiguration)

### getExtraScanTargets

    public List getExtraScanTargets()

### getContextHandlers

    public List getContextHandlers()

### setContextHandlers

    public void setContextHandlers(List contextHandlers)

### getProxiedObject

    public Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#getProxiedObject()`

### start

    public void start()

  Description copied from interface: `WebApplicationProxy`
  Starts this web application context.

  Specified by:
    `start` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#start()`

### stop

    public void stop()

  Description copied from interface: `WebApplicationProxy`
  Stops this web application context.

  Specified by:
    `stop` in interface `WebApplicationProxy`
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#stop()`

### createApplicationContext

    public void createApplicationContext(ContextHandlerCollection contexts)

  Description copied from interface: `WebApplicationProxy`
  Creates a new Jetty web application context from this object.

  Specified by:
    `createApplicationContext` in interface `WebApplicationProxy`
  Parameters:
    `contexts` - collection of context this application should be added to.
  See Also:
    `com.sabre.ant.jetty.WebApplicationProxy#createApplicationContext(org.mortbay.jetty.handler.ContextHandlerCollection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.